QGIS Application - Feature request #18168
Migrating Issue Management to GitHub
2018-02-21 04:26 PM-D M

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 26059
Description

Issue and feature management is already done in GitHub for other QGIS repositories (e.g. ‘QGIS-Documentation’).

Given that GitHub is already used for hosting the QGIS repository, | think it would make it easier to reference, open and close issues
directly in GitHub.

It looks like there are migration docs and tools out there to do this automatically (e.g.
https://blogs.harvard.edu/rprasad/2014/07/10/moving-from-redmine-to-github-issues/).

History

#1 - 2018-02-21 06:49 PM - Richard Duivenvoorde

Note that we are discussion about this already for some long time.

See:

https://github.com/qgis/QGIS/wiki/DeveloperMeetingMadeira2018#moving-the-qgis-bug-tracker-away-from-redmine

and

https://github.com/qgis/QGIS/wiki/QGISbugtracker

#2 - 2018-02-21 06:50 PM - Richard Duivenvoorde
- Status changed from Open to Closed

Will close this as this is not about QGIS itself, but about the infrastructure to use.
#3 - 2018-02-21 06:52 PM - Giovanni Manghi

- Resolution set to invalid

#4 - 2018-02-21 09:22 PM-D M

Thanks -- for completeness I'd like to address the following points made in the page you linked to:

| nobody was able to mass insert existing issues OR think of moving from Redmine to Github issues

have to come up with a plan to either export (some) tickets from redmine OR decide to start with a clean (3.0) sheet??
‘redmine2github’ (https://blogs.harvard.edu/rprasad/2014/07/10/moving-from-redmine-to-github-issues/) can help.

closed system

I am not really sure what is meant by this.

have to come up with a plan to handle 'tagging’/tagging system of issues to be able to search tickets? | started with some idea in 2015:

https://github.com/rduivenvoorde/temp/issues

Handling, searching, assignment of issue is, in general, much simpler if done correctly. See, for example, how much larger projects handle issues on

GitHub: https://github.com/Microsoft/vscode/issues
